Get aggregate usage totals across all companies in an organization.
curl --request GET \
--url https://api.parallellabs.app/api/v0/organizations/{orgId}/usage/history/summary \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parallellabs.app/api/v0/organizations/{orgId}/usage/history/summary"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parallellabs.app/api/v0/organizations/{orgId}/usage/history/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"byFeature": [
{
"credits": 123,
"feature": "<string>",
"model": "<string>",
"requests": 123,
"tokens": 123
}
],
"byModel": [
{
"credits": 123,
"feature": "<string>",
"model": "<string>",
"requests": 123,
"tokens": 123
}
],
"totals": {
"credits": 123,
"inputTokens": 123,
"outputTokens": 123,
"requests": 123,
"tokens": 123
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Usage
Get aggregate usage totals across all companies in an organization.
GET
/
api
/
v0
/
organizations
/
{orgId}
/
usage
/
history
/
summary
Get aggregate usage totals across all companies in an organization.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Path Parameters
Query Parameters
ISO 8601 start datetime (inclusive)
ISO 8601 end datetime (inclusive)
Page size, default 100, max 1000
Pagination offset, default 0
Get paginated usage history rows across all companies in an organization.Get usage information including credits, features, and quotas.
⌘I

